/* stringStreamDemo.cpp illustrates the use of string streams.
 *   Input (istringstream istr): word1, word2, month, day, comma, year
 *   Output (istringstream ostr): these words separated by ***
 *   Output (ostream cout):       the string stored in ostr
 *****************************************************************/

#include <iostream>
#include <iomanip>
#include <sstream>
using namespace std;

int main()
{
  string date = "Independence Day: July 4, 1776";
  istringstream istr(date);
  string word1, word2, month;
  int day, year, one = 1;
  char comma;

  istr >> word1 >> word2 >> month >> day >> comma >> year;
  cout << "Contents of string stream istr:\n"
       << word1 << "***" << word2 << "***" << month << "***"
       << day << "***" << comma << "***" << year << endl;

  ostringstream ostr;
  ostr << "New Year's "<< word2 << "January"
       << setw(2) << one << ", "<< year + 226;
  cout << ostr.str() << endl;



  return 0;
}
